%define upstream_name    Sys-Hostname-FQDN
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get the short or long hostname
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
*Sys::Hostname::FQDN* uses the host 'C' library to discover the (usually)
short host name, then uses (perl) gethostbyname to extract the real
hostname.

The results from gethostbyname are exported as *gethostinfo* and
*asciihostinfo* as a convenience since they are available. Similarly, the
'C' library functions *inet_ntoa* and *inet_aton* are exported.

* $host = short();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc README GPL Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 30 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 116673
- imported package perl-Sys-Hostname-FQDN


* Thu Jun 30 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
